> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover the supported authentication methods for a user.

> Discover the supported authentication methods for a user.

## OpenAPI

````json POST /v1/sys/auth/discover
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/sys/auth/discover": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Discover the supported authentication methods for a user.",
        "description": "Discover the supported authentication methods for a user.",
        "operationId": "discover",
        "x-auth-resource": "NoAuth",
        "parameters": [
          {
            "name": "acct_id",
            "in": "query",
            "required": false,
            "type": "string",
            "format": "uuid"
          },
          {
            "name": "auth_discover_request",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/AuthDiscoverRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthDiscoverResponse"
            }
          }
        }
      }
    }
  }
}
````

